gr::ieee802_15_4::dqpsk_mapper_ff_impl Class Reference

`#include <dqpsk_mapper_ff_impl.h>`

Inheritance diagram for gr::ieee802_15_4::dqpsk_mapper_ff_impl:
[legend]

## Public Member Functions

| dqpsk_mapper_ff_impl (int framelen, bool forward)
| ~dqpsk_mapper_ff_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::dqpsk_mapper_ff
typedef boost::shared_ptr< dqpsk_mapper_ff > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::dqpsk_mapper_ff
static sptr | make (int framelen, bool forward)
| Return a shared_ptr to a new instance of ieee802_15_4::dqpsk_mapper_ff. More...

## Constructor & Destructor Documentation

## dqpsk_mapper_ff_impl()

gr::ieee802_15_4::dqpsk_mapper_ff_impl::dqpsk_mapper_ff_impl | ( | int | framelen,
|  | bool | forward
| ) |  |

## ~dqpsk_mapper_ff_impl()

gr::ieee802_15_4::dqpsk_mapper_ff_impl::~dqpsk_mapper_ff_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::ieee802_15_4::dqpsk_mapper_ff_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- dqpsk_mapper_ff_impl.h